#ifndef GLOBALVARS
#define GLOBALVARS

/* class-types from header files */
#include <Arduino.h>
#include <ESP8266WebServer.h>
#include <ezTime.h>

#if BUILD_DEBUG == true
#define debug(debugMSG...) Serial.print(debugMSG)
#define debugln(debugMSG...) Serial.println(debugMSG)
#else
#define debug(debugMSG...)
#define debugln(debugMSG...)
#endif

#if LED_OUTPUT_INVERTED == true
#define digitalWriteLED(PIN, VALUE) digitalWrite(PIN, !VALUE)
#define digitalReadLED(PIN) (!digitalRead(PIN))
#define analogWriteLED(PIN, VALUE) analogWrite(PIN, 255 - VALUE)
#define analogReadLED(PIN) (255 - analogRead(PIN))
#else
#define digitalWriteLED(PIN, VALUE) digitalWrite(PIN, VALUE)
#define digitalReadLED(PIN) digitalRead(PIN)
#define analogWriteLED(PIN, VALUE) analogWrite(PIN, VALUE)
#define analogReadLED(PIN) analogRead(PIN)
#endif

#if HAS_2ND_LED == true
#define analogWrite2ndLED(PIN, VALUE) analogWriteLED(PIN, VALUE)
#define pinMode2ndLED(PIN, MODE) analogWriteLED(PIN, MODE)
#else
#define analogWrite2ndLED(PIN, VALUE)
#define pinMode2ndLED(PIN, MODE)
#endif

/* global vars */
extern ESP8266WebServer server;
extern Timezone myTime;
extern char time_all[8][8][3];
extern char stat[1][4];
extern char settings_html[];
extern char home_html[];
extern bool override[];
extern const unsigned int pins[];
extern int temperatureSet;
extern int minTemperatureSet;
extern int temperature;

#endif
